%define dataversion 0.61

Summary: Tux Racer
Name: tuxracer
Version: 0.61
Release: 1mdk
Copyright: GPL
Group: Games/Sports
Source: tuxracer-%{version}.tar.bz2
Source1: tuxracer-data-%{dataversion}.tar.bz2
Source2: tuxracer.xpm
Source3: tuxracer-mini.xpm
Source4: tuxracer-large.xpm
URL: http://www.tuxracer.com/
BuildRequires: tk Mesa-common-devel XFree86-devel libSDL-devel libSDL_mixer-devel
BuildRoot: %{_tmppath}/%name-root
%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%prep
%setup -a 1

%build
%configure --with-data-dir=/usr/share/tuxracer
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/usr/share/tuxracer
tar c -C %name-data-%dataversion . | tar xv -C $RPM_BUILD_ROOT/usr/share/tuxracer

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="tuxracer" \
		  icon=%{name}.xpm \
		  needs="x11" \
		  section="Amusement/Sports" \
		  title="Tuxracer"\
		  longtitle="A great racing game starring Tux"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%{_bindir}/tuxracer
%doc AUTHORS COPYING ChangeLog README contrib
/usr/share/tuxracer
%{_menudir}/%{name}
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.61-1mdk
- 0.61

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.3-1mdk
- 0.60.3

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-8mdk
- recompiled to get good dependencies.

* Fri Dec  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-7mdk
- corrected BuildRequires.

* Thu Dec  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-5mdk
- added icons for the menu.

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-4mdk
- added BuildRequires on libSDL_mixer1.0-devel and libSDL1.1-devel.

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.60.1-3mdk
- rebuild with gcc 2.96
- make rpmlint happier.

* Fri Oct  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.60.1-2mdk
- 0.60.1

* Tue Sep 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-2mdk
- rebuild for latest tk.

* Sun Aug 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.1-1mdk
- first mandrake version.


